@import "../../assets/scss/global";

.master-layout {
    font-size: 16px !important;
    line-height: initial !important;
    color: $dark-color !important;

    a {
        color: $dark-color !important;
        font-weight: 500;
    }

    button {
        cursor: pointer;
    }

    input, button, textarea {
        font-family: $font-family !important;
        outline: none;
        font-size: 16px;
    }

    p, h2, h3, h4 {
        line-height: initial;
        padding: 0;
        margin: 0;
    }

    .container {
        max-width: 1280px;
        width: 100% !important;
        padding: 24px;
        margin: 0 auto;
        box-sizing: border-box;

        @include largeScreen {
            padding: 16px 48px;
        }
    }

    .cursor-pointer {
        cursor: initial;
        @include largeScreen {
            cursor: pointer;
        }
    }

    display: flex;
    flex-direction: column;
    min-height: 100vh;
    align-items: center;

    .content {
        width: 100%;

        @include largeScreen {
            display: flex;
            flex-grow: 1;
            justify-content: center;
        }
    }
}